Subject: Re: bug#53348: 27.2; Crash in mark_object

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jan 2022 18:53:20 +0200

> Date: Tue, 18 Jan 2022 08:35:10 +0000
> From:  "Reingruber, Richard" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I've got a new Apple M1 Pro macbook. I'm experiencing crashes with Emacs 27.2 which I installed using homebrew.
> 
> The information below was generated after I restarted Emacs following a crash.
> 
> I added the crash report from macos because I could not find a report from emacs.
> 
> Looks like a GC crash in mark_object.
> 
> Unfortunately I cannot reproduce the crash. This is the first crash report I
> got. Normally Emacs just hangs. I sampled the process using macos activity
> monitor and found a similar stack as in the crash.

Looks like C stack overflow, or at least a possibility of it (you
didn't show all of the backtrace levels, so it's hard to be sure).

Can you configure your environment, or rebuild Emacs, so that the
amount of stack space available to it is larger?